<?php
/**
 * 
 * @package aowp.aspect.joinpoint
 */
/**
 * 
 * @author keiji
 * @package aowp.aspect.joinpoint
 *
 */
class AOWP_ScriptCallJoinPoint extends AOWP_JoinPoint {
	
	private $_invokedFileName;

	public function __construct(AOWP_PHPFileIncludeStatementElement $element = null, $fileName = null) {
		parent::__construct($element, $fileName);
		$this->setInvokedFileName($element->getScalarExprFileName());
	}
	
	public function setInvokedFileName($invokedFileName) {
		$this->_invokedFileName = $invokedFileName;
	}
	public function getInvokedFileName() {
		return $this->_invokedFileName;
	}
		
	
}
?>